From f56e24047906df7a7f4cacaff670e74f7f5eaf65 Mon Sep 17 00:00:00 2001
From: Janne Grunau <janne-fdr@jannau.net>
Date: Oct 03 2024 21:55:52 +0000
Subject: Add steam and mesa x86 overlay repositories


---

diff --git a/RPM-GPG-KEY-group_asahi-steam b/RPM-GPG-KEY-group_asahi-steam
new file mode 100644
index 0000000..94ffd78
--- /dev/null
+++ b/RPM-GPG-KEY-group_asahi-steam
@@ -0,0 +1,19 @@
+-----BEGIN PGP PUBLIC KEY BLOCK-----
+
+mQENBGb0C+cBCACzRuWXnCVZF1c4XvNg0CRUWksADzzIoBk5vwB7sI8E38EXhcRc
+3vlF9ruA1mNKVtVLT9goE2E3XcoFNY/99dR3QS1ZE9SIRy+ruOtyNY/eeROpfATu
+LQdi7HJtVQ3s/DCoRVQcwY7dYRgZ+8T17YufRjkRLh4F0J8MIJ8b99KvdzNDYm5u
+W6Z3hkhFx0u7U/OBKfc3Q8jE/j++e/HAzjjVqvccggdyV0sAlA2+My5Y8URKaNjx
+PoZ0TIbPPiklmk+8A05oGE3PO2IoktolYa+0ez1dCcZYII0MbxyLEDm4L3HX9X8M
+0nszdNJOeiooBkkC8e0SOkhcS59+2y/3NqyzABEBAAG0OEBhc2FoaV9zdGVhbSAo
+Tm9uZSkgPEBhc2FoaSNzdGVhbUBjb3ByLmZlZG9yYWhvc3RlZC5vcmc+iQFYBBMB
+CABCFiEE41Cc8cu1czEpy07VePauNAXLlP4FAmb0C+cDGy8EBQkJZgGABQsJCAcC
+AiICBhUKCQgLAgQWAgMBAh4HAheAAAoJEHj2rjQFy5T+FKEH/31yuK0nn26BN4vu
++QbQv8p0jrdfwd/19GYPAe11lPQLlxVaS8NyQfKQuGj4ONtPdlAU23i2n9OUJVVJ
+G/L736Ke8mcKsTt22HZ291iTvcUz0W9ig0cjVxHyVTViEpby00gBLysiUkNEV15N
+w5YDL1Xlqs9pXsDMzN2AReCvAaYwruXZWkGOkN/e5SYqraiB0Ht7PbMqtA8fOOlA
+FyVS6uG4pxhQiQTIVxyEsFbEcvQMX8rEhWLCOZGgnQuYKNoxPuBUWCr9HRM6VR9Y
+JP1glCz+mW6LLpOPjkK7jHGYug3v6fUm+c75wFKQAamJK0PMxpTaNKnUK7nApjN0
+okvQv7U=
+=kzCP
+-----END PGP PUBLIC KEY BLOCK-----
diff --git a/asahi-repos.spec b/asahi-repos.spec
index 1c80919..74e55fe 100644
--- a/asahi-repos.spec
+++ b/asahi-repos.spec
@@ -1,6 +1,6 @@
 Name:           asahi-repos
 Version:        1
-Release:        13%{?dist}
+Release:        14%{?dist}
 Summary:        Additional repositories for Apple Silicon hardware enablement
 
 License:        MIT
@@ -24,6 +24,10 @@ Source:         group_asahi-fedora-remix-scripts.repo
 Source:         RPM-GPG-KEY-group_asahi-fedora-remix-scripts
 Source:         group_asahi-flatpak.repo
 Source:         RPM-GPG-KEY-group_asahi-flatpak
+Source:         group_asahi-mesa-i386.repo
+Source:         group_asahi-mesa-x86_64.repo
+Source:         group_asahi-steam.repo
+Source:         RPM-GPG-KEY-group_asahi-steam
 
 Requires:       fedora-repos
 Requires:       fedora-gpg-keys
@@ -65,6 +69,13 @@ install -Dpm0644 -t %{buildroot}%{_sysconfdir}/yum.repos.d \
   %SOURCE2 %SOURCE4 %SOURCE6 %SOURCE8 %SOURCE10 %SOURCE12 %SOURCE14 %SOURCE15 %SOURCE17
 install -Dpm0644 -t %{buildroot}%{_sysconfdir}/pki/rpm-gpg \
   %SOURCE3 %SOURCE5 %SOURCE7 %SOURCE9 %SOURCE11 %SOURCE13 %SOURCE16 %SOURCE18
+%dnl install package x86 mesa and steam repos only on aarch64
+%ifarch aarch64
+install -Dpm0644 -t %{buildroot}%{_sysconfdir}/yum.repos.d \
+  %SOURCE19 %SOURCE20 %SOURCE21
+install -Dpm0644 -t %{buildroot}%{_sysconfdir}/pki/rpm-gpg \
+  %SOURCE22
+%endif
 
 %files
 %license LICENSE
@@ -82,6 +93,12 @@ install -Dpm0644 -t %{buildroot}%{_sysconfdir}/pki/rpm-gpg \
 %config(noreplace) %{_sysconfdir}/yum.repos.d/fedora-asahi-remix-hotfixes.repo
 %config(noreplace) %{_sysconfdir}/yum.repos.d/group_asahi-flatpak.repo
 %config(noreplace) %{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-group_asahi-flatpak
+%ifarch aarch64
+%config(noreplace) %{_sysconfdir}/yum.repos.d/group_asahi-mesa-i386.repo
+%config(noreplace) %{_sysconfdir}/yum.repos.d/group_asahi-mesa-x86_64.repo
+%config(noreplace) %{_sysconfdir}/yum.repos.d/group_asahi-steam.repo
+%config(noreplace) %{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-group_asahi-steam
+%endif
 
 %files edge
 %license LICENSE
@@ -103,6 +120,9 @@ echo 'and then reboot your system.'
 echo
 
 %changelog
+* Tue Oct 01 2024 Janne Grunau <janne-fdr@jannau.net> - 1-14
+- Add steam and mesa x86 overlay repositories
+
 * Tue Jul 16 2024 Janne Grunau <janne-fdr@jannau.net> - 1-13
 - Add flatpak copr
 
diff --git a/group_asahi-mesa-i386.repo b/group_asahi-mesa-i386.repo
new file mode 100644
index 0000000..6377296
--- /dev/null
+++ b/group_asahi-mesa-i386.repo
@@ -0,0 +1,12 @@
+[copr:copr.fedorainfracloud.org:group_asahi:mesa-i386]
+name=Copr repo for mesa owned by @asahi (i386)
+baseurl=https://download.copr.fedorainfracloud.org/results/@asahi/mesa/fedora-$releasever-i386/
+type=rpm-md
+skip_if_unavailable=True
+gpgcheck=1
+gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-group_asahi-mesa
+repo_gpgcheck=0
+enabled=1
+enabled_metadata=1
+priority=5
+includepkgs=mesa-fex-emu-overlay-i386*
diff --git a/group_asahi-mesa-x86_64.repo b/group_asahi-mesa-x86_64.repo
new file mode 100644
index 0000000..9e2a7ba
--- /dev/null
+++ b/group_asahi-mesa-x86_64.repo
@@ -0,0 +1,12 @@
+[copr:copr.fedorainfracloud.org:group_asahi:mesa-x86_64]
+name=Copr repo for mesa owned by @asahi (x86_64)
+baseurl=https://download.copr.fedorainfracloud.org/results/@asahi/mesa/fedora-$releasever-x86_64/
+type=rpm-md
+skip_if_unavailable=True
+gpgcheck=1
+gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-group_asahi-mesa
+repo_gpgcheck=0
+enabled=1
+enabled_metadata=1
+priority=5
+includepkgs=mesa-fex-emu-overlay-x86_64*
diff --git a/group_asahi-steam.repo b/group_asahi-steam.repo
new file mode 100644
index 0000000..8888698
--- /dev/null
+++ b/group_asahi-steam.repo
@@ -0,0 +1,11 @@
+[copr:copr.fedorainfracloud.org:group_asahi:steam]
+name=Copr repo for steam owned by @asahi
+baseurl=https://download.copr.fedorainfracloud.org/results/@asahi/steam/fedora-$releasever-$basearch/
+type=rpm-md
+skip_if_unavailable=True
+gpgcheck=1
+gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-group_asahi-steam
+repo_gpgcheck=0
+enabled=1
+enabled_metadata=1
+priority=5

